@echo off
setlocal EnableDelayedExpansion

set "ProductName=C4IT Light Identity Access Management"
set "SignTool=..\..\Common Code\Tools\signtool.exe"
set "TimeStamp=http://rfc3161timestamp.globalsign.com/advanced"

REM Alle passenden Dateien in einer Variablen sammeln
set "FileList="
for %%F in (".\bin\Release\Liam*.dll") do (
    set "FileList=!FileList! "%%F""
)

REM SignTool mit allen gesammelten Dateien aufrufen
echo Signing all matching files at once...
call "%SignTool%" sign /a /tr %TimeStamp% /td SHA256 /fd SHA256 /d "%ProductName%" !FileList!

pause
